#ifndef PROG_H_INCL
#define PROG_H_INCL

#include "master.h"

namespace Prog
{
	void Init();
	void Resize();

	namespace Game
	{
		unsigned int TileAtCoords(unsigned int world, M::ivec2 pos);
		unsigned int TileAt(unsigned int world, M::ivec2 pos);
		unsigned int ObjAtCoords(unsigned int world, M::ivec2 pos);
		unsigned int ObjAt(unsigned int world, M::ivec2 pos);
	}

	void PreTick();
	void PostTick();

	namespace States
	{
		Main::StateFunc Boot();
		Main::StateFunc Menu();
		Main::StateFunc Game();
		Main::StateFunc Controls();
	}
}


#endif